Bug 62511 - Logging out of KDE 3 causes instant reboot
Logging out of KDE 3 causes instant reboot
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
skipjack-beta1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-04-01 17:41 EST by Doug Stewart
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-11 10:58:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Stewart 2002-04-01 17:41:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020326

Description of problem:
When logging out of KDE via kicker menu, screen will occasionally go entirely
black and reboot the system without the proper shutdown procedure (it simply
reboots instantly).

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Log in to KDE 3 session
2. Log out and choose to save session.
3. Machine reboots without prompting or delay.
	

Actual Results:  Machine rebooted.

Expected Results:  Should have been returned to console prompt.

Additional info:

No error message whatsoever. Thank goodness for ext3!
Comment 1 Bernhard Rosenkraenzer 2002-04-02 05:30:32 EST
Also, a non-root process (like KDE, unless you're using it as root which isn't 
recommended) can't reboot the machine. This is either an X or a kernel 
problem; can't tell which without being able to reproduce it. 
 
Do you get anything in /var/log/messages when this happens?
Comment 2 Bernhard Rosenkraenzer 2002-04-03 07:14:34 EST
By any chance, are you using kdm and kdebase < 3.0.0-0.cvs20020321.1? 
If so, it's actually a kdm problem (misinterpreting the log out vs. reboot vs. shutdown 
choice in the logout dialog) and can be CLOSED:RAWHIDE.
Comment 3 Doug Stewart 2002-04-11 10:58:27 EDT
Unable to find any traces or indications of problem in system logs.  No longer
occurs in skipjack-2 installation I am currently running.  You can probably
close this one out.

Note You need to log in before you can comment on or make changes to this bug.